/*
 * This is an attempt at capturing the parts of "ourhdr.h" needed
 * for the selected demonstration programs.  The source for all
 * of this comes from "Advanced Programming in the UNIX Environment", 
 * by W. Richard Stevens
 *
 * Log:
 *   Nov   8/99 - Added program 2.3 (p.43).  Need #include <limits.h>
 *                Needed for program 14.5
 *              - Added #ifndef OURHDR_H  ... #define OURHDR_H
 *              - divided this into 2 files.  ourhdr.h -- declarations
 *                                            ourhdr.c -- implementations
 *   Nov   2/99 - #include <stdlib.h> [for gcc warnings, program 14.2 ]
 *                #include <string.h> 
 *   Oct  20/99 - added typedef for Sigfunc() [defined p. 271]
 *              - added pr_mask() for Program 10.14
 *   Oct  17/99 - added err_dump() for program 10.1 (see lab 4)
 *   Sept 28/99 - initial version
 */
#ifndef OURHDR_H
#define OURHDR_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>      /* defines STDIN_FILENO, STDOUT_FILENO */
#include <stdarg.h>      /* ANSI C header file */
#include <errno.h>       /* for definitions of errno */
#include <signal.h>
#include <syslog.h>
#include <sys/wait.h>    /* defines macros for pr_exit() */
#include <limits.h>     


#define MAXLINE 80

typedef void Sigfunc(int);   /* needed for some of Chap 10 examples */

int    open_max (void);
void   pr_mask  (const char *str);
void   pr_exit  (int status);
void   err_sys  (const char *fmt, ...);
void   err_quit (const char *fmt, ...);

#endif // OURHDR_H


